package cache

import (
	"dc_golang_server_1/data_db_cache/model"
	"sync"
	"time"
)

// ProvinceMap /*********************************************************全国行政区域**/------------------------OK
var ProvinceMap []model.CacheBDistrictStruct // 省份列表[]model.CacheBDistrictStruct
var CityMap sync.Map                         // 城市列表map[uint32][]model.CacheBDistrictStruct  //省份ID作为KEY
var CountyMap sync.Map                       // 区县列表map[uint32][]model.CacheBDistrictStruct  //城市ID作为KEY
//type CacheBDistrictStruct struct {
//	Id      uint32 `json:"id" example:"1"`
//	Name    string `json:"name" example:"四川省"`
//	Initial string `json:"initial" example:"S"`
//}

// CountyAreaMap /******************************************************************区县学校列表**/
var CountyAreaMap sync.Map //map[uint32][[]uint32] 区县ID作为KEY,[]area_id 作为Value
// var LockCountyAreaMap bool // todo 正规的做法是用 map[区县ID]bool

// TestAreaMap /******************************************************************测试校区列表**/

// AreaMap /******************************************************区域(校区)**/
var AreaMap sync.Map //area_id 作为KEY  CacheBAreaStruct 作为VALUE
//type CacheBAreaStruct struct { // CacheBAreaStruct 区域信息缓存，通过区域ID查出,后续再加支付信息
//	Name        string
//	Longitude   uint32
//	Latitude    uint32
//	CountyID    uint32
//	AreaService []uint32
//	Status      uint8 //校区状态 0 不展示 1展示 2测试校区
//}

// var LockAreaMapAreaService bool todo

/*********************************************************代理商**/
//// AgentMap 代理商
//var AgentMap sync.Map
/*---------------------------------------------------------------*/

/*********************************************************运营商**/
var operatorMap sync.Map //运营商id作为KEY
type OperatorStruct struct {
	ShortName string
	// 可再添加运营商属性
}

/*---------------------------------------------------------------*/

/******************************************************区域(校区)服务信息**/
var areaServiceMap sync.Map     //area_service_id 作为KEY  CacheBAreaStruct 作为VALUE
type AreaServiceStruct struct { //
	AreaID     uint32
	ServiceID  uint8  //服务项目 1公话 2定位 3饮水 4POS .........
	OperatorID uint32 //运营商ID
	Name       string //服务名字(例宿舍135栋饮水)name
	Status     uint8  //状态 0无内容1正式2测试3暂停4暂未开放
}

/*---------------------------------------------------------------*/

/******************************************************后台管理用户**/
var adminMap sync.Map //后台管理用户  LoginAccount(string) 作为KEY
type AdminStruct struct {
	Password       [16]byte
	tokenCreatTime int64 // 初始化为0,则已有的token还有效
	Name           string
	upAdminID      uint32
	//Phone string
	//OperatorID []int
	SystemAuth      uint32     //系统角色权限
	AreaServiceAuth [][]uint32 //area_service_id,admin_role_id
}

// todo 加锁var LockAreaMapAreaService bool
/*---------------------------------------------------------------*/

// roleAuthMap /****************************角色权限(包含区域和系统角色)*/
var adminRoleAuthMap sync.Map //admin_role_id 作为KEY
type RoleAuthStruct struct {
	Name     string
	MenuRole map[uint32][]uint32 // 菜单、按钮权限
}

// todo 加锁
/***************************************************微信用户(家长)**/ //------------------------OK
var WechatCustomerUnionIDToIDMAP sync.Map                       // UnionID作为KEY(string),微信用户ID作为VALUE(uint32)
var WechatCustomerMap sync.Map                                  // 微信的WechatUserID(uint32)作为KEY
//type CacheUWeCustomerStruct struct {
//	TokenCreatTime   int64
//	TestRole         bool     // 测试用户(可看到测试校区)
//	WePhone          string   // 手机号
//	Nickname         string   // 微信昵称
//	AvatarURL        string   // 头像链接
//	MasterCardUserID []uint32 // 自己创建的学生用户
//	SlaveCardUserID  []uint32 // 被邀请查看的学生用户
//}

// todo 加锁
/****************************************************************/

//CardUserMap /***************************************************卡用户(学生、教师、职工)**/
var CardUserMap sync.Map //卡用户 CardUserID卡用户ID(uint32) 作为KEY   纯卡用户可以不绑定微信
type CardUserType struct {
	MasterWechatUserID uint32
	SlaveWechatUserID  []uint32
	Role               uint8 //角色0学生，1教师，2职工，default0
	AreaID             uint32
	Name               string
	Sex                uint8 //0,无信息,1女，2男
	// Birthday
	Grade          int8
	Class          int8
	StuNum         string
	Recharge       bool //是否充过值
	SimCardID      string
	LocationCardID uint32
	IcCardID       uint32
}

// todo 加锁SlaveWechatUserID
/*---------------------------------------------------------------*/

/*******************************************************电话设备**/
var phone20DeviceMap sync.Map //device_id 作为KEY  Phone20DeviceStruct 作为VALUE
type Phone20DeviceStruct struct {
	AreaServiceID uint32
	AllowCallTime uint8  //允许通话时长,255表示不限制时长
	Place         string //安装位置
	Status        bool
}

/*---------------------------------------------------------------*/

/********************************************************Sim卡信息**/
var simInfoMap sync.Map //card_id 作为KEY
type SimInfoStruct struct {
	CardUserID          uint32 //卡用户ID
	Status              int8   //0无数据   1 正常使用   2 服务已到期 3 已挂失
	MonthTalkMinutes    uint16
	MonthPackageMinutes uint16
	FamilyNum           []FamilyOnePerson // 如果一张sim卡，到多个学校绑定不一样的亲情号，则改成MAP，但是移动不允许。先这样。
}
type FamilyOnePerson struct {
	Phone    string
	Nickname string
}

// todo 加锁FamilyNum
/*---------------------------------------------------------------*/

/***************************************************卡用户动态**/
var cardUserTrendMap sync.Map //卡用户 CardUserID卡用户ID(uint32) 作为KEY,[]CardUserTrendType作为VALUE
type CardUserTrendType struct {
	ServiceType uint8 //服务项目 UI图标及颜色等
	DeviceID    uint32
	Content     string
	Time        time.Time
}

/*---------------------------------------------------------------*/

func Init() {
	initBDistrictMaps() // 初始化行政区域省市区缓存
	initAreaMapAndCountyAreaMap()

	initWechatCustomerMap()
	initCardUserMap()
	//initAdminMap()
	//initOperatorMap()
	//initAreaServiceMap()
	//initPhone20DeviceMap()
	//initSimFamilyNumMap()
}
