package cache

import (
	"dc_golang_server_1/data_db_cache/dbdao"
	"dc_golang_server_1/logger"
	"fmt"
	"go.uber.org/zap"
	"log"
	"time"
)

//id integer NOT NULL DEFAULT nextval('u_card_user_id_seq'::regclass),
//role smallint 角色:0学生,1教师,2职工
//name character varying(16) COLLATE pg_catalog."default",
//sex smallint,
//area_id integer,
//grade smallint,
//class smallint,
//student_num character varying(32) COLLATE pg_catalog."default",
//create_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
//first_topup_at timestamp without time zone,

func initCardUserMap() {
	fmt.Println(time.Now(), "cache: initCardUserMap begin")
	var cardUserID uint32
	var temp CardUserType
	rows, err := dbdao.PgDb.Query("SELECT id,role,name,sex,area_id,grade,class,student_num,first_topup_at is not null FROM u_card_user") //
	defer rows.Close()
	if err != nil {
		log.Panicln("Select u_card_user To Map rows", err)
	}

	for rows.Next() {
		err = rows.Scan(&cardUserID, &temp.Role, &temp.Name, &temp.Sex, &temp.AreaID, &temp.Grade, &temp.Class, &temp.StuNum, &temp.Recharge)
		if err != nil {
			log.Panicln("initCardUserMap rows.Scan", err)
		}
		fmt.Println(cardUserID, temp)
		CardUserMap.Store(cardUserID, temp)
	}
	// 处理完毕后，需要判断一次遍历过程中是否有错误产生
	if err = rows.Err(); err != nil {
		log.Panicln(time.Now(), "initCardUserMap rows.Err()", err)
	}

	// todo 读电话卡绑定信息

	fmt.Println(time.Now(), "cache: initCardUserMap OK")
}

func GetCardUserInfo(cardUserID uint32) (CardUserType, bool) {
	if s, ok := CardUserMap.Load(cardUserID); ok { // map有
		if v, ok4 := s.(CardUserType); ok4 { //类型断言正确
			return v, true
		} else { //类型断言失败
			CardUserMap.Delete(cardUserID)
			logger.Log.Error("CardUserMap 类型断言错误",
				zap.Uint32("cardUserID", cardUserID),
				zap.String("src", "GetCardUserInfo"))
		}
	} else {
		logger.Log.Error("CardUserMap 有问题，没数据",
			zap.Uint32("cardUserID", cardUserID),
			zap.String("src", "GetCardUserInfo"))
	}

	var temp CardUserType
	// todo 再去查一盘库
	return temp, false
}
