package dbdao

import (
	"database/sql"
	config2 "dc_golang_server_1/util/config"
	_ "github.com/lib/pq"
)

const ( //0 成功 1 唯一约束重复 9 系统繁忙
	InsertOK        uint8 = 0
	InsertDuplicate uint8 = 1
	InsertSysErr    uint8 = 9
)

var PgDb *sql.DB

var stmtUpdateWechatUserLogin *sql.Stmt // 微信登录时间和登录次数更新

var stmtInsertDevHexCommandRecord *sql.Stmt
var stmtInsertDevConnectRecord *sql.Stmt
var stmtInsertDevHexResetRecord *sql.Stmt

func InitDb() {
	var err error
	// fmt.Println("DBDSN",config.DbDSN)
	PgDb, err = sql.Open("postgres", config2.DbDSN)
	if err != nil {
		panic("数据库连接失败" + err.Error())
	}

	//PgDb.SetConnMaxLifetime()
	//PgDb.SetConnMaxIdleTime()
	//PgDb.SetMaxOpenConns()
	//PgDb.Stats()

	// 建立常用的预处理
	//stmtInsertDevHexCommandRecord, err = PgDb.Prepare("INSERT INTO d_command_record VALUES($1,$2,$3,$4,$5,$6,$7,$8)") //("INSERT INTO d_hex_command_record(device_id,ctrl_code,data_len,data_hex,ciphertext)VALUES($1,$2,$3,$4,$5)")
	//if err != nil {
	//	panic("建立stmtDevHexCommandRecord失败:" + err.Error())
	//}
	//stmtInsertDevConnectRecord, err = PgDb.Prepare("INSERT INTO d_connect_record VALUES($1,$2)")
	//if err != nil {
	//	panic("建立stmtDevHexConnectRecord失败:" + err.Error())
	//}
	//stmtInsertDevHexResetRecord, err = PgDb.Prepare("INSERT INTO d_reset_record VALUES($1,$2,$3,$4,point($5,$6),$7)")
	//if err != nil {
	//	panic("建立stmtDevHexConnectRecord失败:" + err.Error())
	//}
	////stmtInsertUserCallRecord, err = PgDb.Prepare("INSERT INTO u_call_record VALUES($1,$2,$3,$4,$5,$6,$7,$8,$9,$10,$11,$12,$13,$14,$15,$16)")
	////if err != nil {
	////	panic("建立stmtUserCallRecord失败:" + err.Error())
	////}

	// 微信登录时间和登录次数更新
	stmtUpdateWechatUserLogin, err = PgDb.Prepare("UPDATE u_we_customer SET login_at=$1,login_count=login_count+1 WHERE id=$2")
	if err != nil {
		panic("建立stmtUpdateWechatUserLogin失败:" + err.Error())
	}
}

func CloseDb() {
	if stmtUpdateWechatUserLogin != nil { // 微信登录时间和登录次数更新
		_ = stmtUpdateWechatUserLogin.Close()
	}

	if stmtInsertDevHexCommandRecord != nil {
		_ = stmtInsertDevHexCommandRecord.Close()
	}
	if stmtInsertDevConnectRecord != nil {
		_ = stmtInsertDevConnectRecord.Close()
	}
	if stmtInsertDevHexResetRecord != nil {
		_ = stmtInsertDevHexResetRecord.Close()
	}
	//if stmtInsertUCallRecordAndUpdateUSimInfo != nil {
	//	_ = stmtInsertUCallRecordAndUpdateUSimInfo.Close()
	//}
	//_ = stmtInsertUserCardUser.Close()

	_ = PgDb.Close()
}
