// Package docs GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import (
	"bytes"
	"encoding/json"
	"strings"
	"text/template"

	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/ad/area": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "目前仅用于填充数据,暂未做权限校验",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "管理后台"
                ],
                "summary": "创建一个学校",
                "parameters": [
                    {
                        "description": "学校信息",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dbdao.TableBaseArea"
                        }
                    }
                ],
                "responses": {
                    "0": {
                        "description": "",
                        "schema": {
                            "type": "integer"
                        }
                    }
                }
            }
        },
        "/base/city/{provinceID}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取带首字母的城市列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "通过省份ID获取城市列表 [complete]",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "省份id",
                        "name": "provinceID",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "按首字母排序好的列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/model.CacheBDistrictStruct"
                            }
                        }
                    }
                }
            }
        },
        "/base/county/{cityID}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取带首字母的城市列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "通过城市ID获取区县列表 [complete]",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "城市ID",
                        "name": "cityID",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "按首字母排序好的列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/model.CacheBDistrictStruct"
                            }
                        }
                    }
                }
            }
        },
        "/base/countyarea/{countyID}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "根据区县ID获取学校列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "根据区县ID获取学校列表 [complete]",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 2725,
                        "description": "区县id",
                        "name": "countyID",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "排序好的学校列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/api_public.countyAreaRes"
                            }
                        }
                    }
                }
            }
        },
        "/base/locarea": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "根据经纬度获取附近20所学校列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "根据经纬度获取附近20所学校列表 [can test]",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 103000000,
                        "description": "经度*1000000",
                        "name": "longitude",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 30000000,
                        "description": "纬度*1000000",
                        "name": "latitude",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "排序好的学校列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/api_public.locationAreaRes"
                            }
                        }
                    }
                }
            }
        },
        "/base/province": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取带首字母的省份列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "获取全国省份列表 [complete]",
                "responses": {
                    "0": {
                        "description": "按首字母排序好的列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/model.CacheBDistrictStruct"
                            }
                        }
                    }
                }
            }
        },
        "/we/bindcarduser/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生ID至后台,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "获取学生副家长列表(仅主家长有权限)",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "副家长信息列表",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/api_we.slaveWeUserRes"
                            }
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生ID至后台,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "副家长解绑学生",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            }
        },
        "/we/bindcarduser/{share_code}": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生的邀请码,后台返回学生信息",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "通过邀请码绑定学生",
                "parameters": [
                    {
                        "type": "string",
                        "description": "学生的邀请码",
                        "name": "share_code",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "学生信息",
                        "schema": {
                            "$ref": "#/definitions/api_we.bindCardUserRes"
                        }
                    },
                    "30": {
                        "description": "邀请码无效"
                    },
                    "31": {
                        "description": "邀请码已过期"
                    }
                }
            }
        },
        "/we/callrecord/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生ID至后台,后台返回通话记录列表",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "查询通话记录",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "pnum",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "psize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "起始时间 2020-10-10 10:00:00",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间 2030-10-10 10:00:00",
                        "name": "end",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "default": false,
                        "description": "是否升序",
                        "name": "asc",
                        "in": "query"
                    }
                ],
                "responses": {
                    "0": {
                        "description": "通话记录列表",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/api_we.getCallRecordRes"
                            }
                        }
                    }
                }
            }
        },
        "/we/cardbind/{id}": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生id及卡类型、卡号至后台,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "绑定卡",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "卡号",
                        "name": "code",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "卡类型:1电话卡,2定位卡,3IC卡(饮水、消费、洗浴、洗衣机均为IC卡,固任何一个服务的卡挂失状态改变,其余也跟随改变)",
                        "name": "type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生id及卡类型至后台,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "解绑卡",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "卡类型:1电话卡,2定位卡,3IC卡(饮水、消费、洗浴、洗衣机均为IC卡,固任何一个服务的卡挂失状态改变,其余也跟随改变)",
                        "name": "type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            }
        },
        "/we/cardloss/{id}": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生id及卡类型至后台,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "卡挂失/解挂",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "boolean",
                        "description": "true挂失,false解挂",
                        "name": "loss",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "卡类型:1电话卡,2定位卡,3IC卡(饮水、消费、洗浴、洗衣机均为IC卡,固任何一个服务的卡挂失状态改变,其余也跟随改变)",
                        "name": "type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            }
        },
        "/we/carduser": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传新建学生信息至后台,后台返回学生id,以及对应校区的service",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "创建一个学生 [complete](同一微信号并发创建学生,缓存WechatCustomerMap弱安全)",
                "parameters": [
                    {
                        "description": "学生信息",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dbdao.InsertTableUserCardUser"
                        }
                    }
                ],
                "responses": {
                    "0": {
                        "description": "",
                        "schema": {
                            "$ref": "#/definitions/api_we.creatCardUserRes"
                        }
                    }
                }
            }
        },
        "/we/carduser/{id}": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生id及新信息至后台,后台返回成功失败",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "修改学生信息",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "学生信息",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/api_we.PutCardUserReq"
                        }
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生ID至后台,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "主家长删除一个学生",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            }
        },
        "/we/familynum": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "修改亲情号接口",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "修改亲情号",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "电话号码",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    },
                    {
                        "description": "亲情号内容",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/api_we.familyNumStruct"
                        }
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "家长绑定亲情号接口",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "添加亲情号",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "亲情号内容",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/api_we.familyNumStruct"
                        }
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "删除亲情号接口",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "删除亲情号",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "电话号码",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            }
        },
        "/we/login/{code}": {
            "post": {
                "description": "微信code传至后台,后台返回token,token有效时长:48小时",
                "tags": [
                    "家长微信"
                ],
                "summary": "登录 [complete]",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/api_we.weLoginReq"
                        }
                    }
                ],
                "responses": {
                    "0": {
                        "description": "",
                        "schema": {
                            "$ref": "#/definitions/api_we.weLoginRes"
                        }
                    }
                }
            }
        },
        "/we/phonecardstatus/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生ID至后台,后台返回卡信息",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "获取学生公话卡状态",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": "公话卡状态信息",
                        "schema": {
                            "$ref": "#/definitions/api_we.getPhoneCardStatusRes"
                        }
                    }
                }
            }
        },
        "/we/sharecode/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "主家长生成邀请码，有效时长可选1分钟~60分钟",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "获取邀请码(仅主家长有权限)",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 60,
                        "description": "有效时长,1~60分钟,不填则为60分钟",
                        "name": "time",
                        "in": "query"
                    }
                ],
                "responses": {
                    "0": {
                        "description": "邀请码内容",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/we/slaveweuser/{id}": {
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "传学生ID和微信UnionID,后台返回成功失败",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "家长微信"
                ],
                "summary": "删除副家长(仅主家长有权限)",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "副家长微信weUserID",
                        "name": "weUserID",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "0": {
                        "description": ""
                    }
                }
            }
        },
        "/we/trend/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "微信学生首页,获取近20条用户最新动态",
                "tags": [
                    "家长微信"
                ],
                "summary": "微信学生首页,获取近20条用户最新动态",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "学生ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "学生动态信息",
                        "schema": {
                            "$ref": "#/definitions/api_we.wechatCardUsersTrendType"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "api_public.countyAreaRes": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer",
                    "example": 1
                },
                "name": {
                    "type": "string",
                    "example": "海科学校"
                }
            }
        },
        "api_public.locationAreaRes": {
            "type": "object",
            "properties": {
                "district": {
                    "type": "string",
                    "example": "四川省成都市温江区"
                },
                "id": {
                    "type": "integer",
                    "example": 1
                },
                "name": {
                    "type": "string",
                    "example": "海科学校"
                }
            }
        },
        "api_we.PutCardUserReq": {
            "type": "object",
            "properties": {
                "class": {
                    "description": "选填,班级,number",
                    "type": "integer"
                },
                "grade": {
                    "description": "必填，\"1~9对应一年级~九年级，10~12对应高一~高三\"",
                    "type": "integer"
                },
                "name": {
                    "description": "必填,学生名字,maxLen=16",
                    "type": "string",
                    "example": "汤圆"
                },
                "sex": {
                    "description": "选填,0女1男",
                    "type": "integer"
                },
                "stuNum": {
                    "description": "选填,学号,字符串,maxLen=32",
                    "type": "string"
                }
            }
        },
        "api_we.WeMasterLoginResUserInfoStruct": {
            "type": "object",
            "properties": {
                "area": {
                    "description": "区域名字",
                    "type": "string",
                    "example": "温江实验中学"
                },
                "class": {
                    "description": "0无意义",
                    "type": "integer"
                },
                "grade": {
                    "description": "0无意义 \"1~9对应一年级~九年级，10~12对应高一~高三\"",
                    "type": "integer"
                },
                "id": {
                    "description": "学生ID",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "service": {
                    "description": "对应6个数字对应公话、定位、饮水、卡消费、洗浴、洗衣机图标(0不显示,1正常,2显示但提示校区暂未开通该服务)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1,
                        2,
                        2,
                        0,
                        0,
                        0
                    ]
                },
                "sex": {
                    "description": "0无意义 1女 2男",
                    "type": "integer"
                },
                "stuNum": {
                    "description": "\"\"无意义",
                    "type": "string"
                },
                "topUp": {
                    "description": "是否已充值(已充值则不能删除，未充值可以删除)",
                    "type": "boolean"
                }
            }
        },
        "api_we.WeSlaveLoginResUserInfoStruct": {
            "type": "object",
            "properties": {
                "area": {
                    "description": "区域名字",
                    "type": "string",
                    "example": "温江实验中学"
                },
                "class": {
                    "description": "0无意义",
                    "type": "integer"
                },
                "grade": {
                    "description": "0无意义 \"1~9对应一年级~九年级，10~12对应高一~高三\"",
                    "type": "integer"
                },
                "id": {
                    "description": "学生ID",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "service": {
                    "description": "对应6个数字对应公话、定位、饮水、卡消费、洗浴、洗衣机图标(0不显示,1正常,2显示但提示校区暂未开通该服务)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1,
                        2,
                        2,
                        0,
                        0,
                        0
                    ]
                },
                "sex": {
                    "description": "0无意义 1女 2男",
                    "type": "integer"
                },
                "stuNum": {
                    "description": "\"\"无意义",
                    "type": "string"
                }
            }
        },
        "api_we.bindCardUserRes": {
            "type": "object",
            "properties": {
                "area": {
                    "description": "区域名字",
                    "type": "string",
                    "example": "四川省成都市温江区实验中学"
                },
                "class": {
                    "type": "integer"
                },
                "grade": {
                    "description": "\"1~9对应一年级~九年级，10~12对应高一~高三\"",
                    "type": "integer"
                },
                "id": {
                    "description": "学生ID",
                    "type": "integer"
                },
                "master": {
                    "description": "true:本来就是主家长，false:已成功绑定成副家长",
                    "type": "boolean",
                    "example": false
                },
                "name": {
                    "type": "string"
                },
                "service": {
                    "description": "对应6个数字对应公话、定位、饮水、卡消费、洗浴、洗衣机图标(0不显示,1正常,2显示但提示校区暂未开通该服务)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1,
                        2,
                        2,
                        0,
                        0,
                        0
                    ]
                },
                "sex": {
                    "description": "0女 1男",
                    "type": "integer"
                },
                "stuNum": {
                    "type": "string"
                }
            }
        },
        "api_we.creatCardUserRes": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "新创建的学生ID",
                    "type": "integer"
                },
                "service": {
                    "description": "对应6个数字对应公话、定位、饮水、卡消费、洗浴、洗衣机图标(0不显示,1正常,2显示但提示校区暂未开通该服务)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1,
                        2,
                        2,
                        2,
                        2,
                        2
                    ]
                }
            }
        },
        "api_we.familyNumStruct": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "api_we.getCallRecordRes": {
            "type": "object",
            "properties": {
                "nickname": {
                    "description": "昵称",
                    "type": "string"
                },
                "number": {
                    "description": "被叫号码",
                    "type": "string"
                },
                "startAt": {
                    "description": "通话开始时间",
                    "type": "string"
                },
                "time": {
                    "description": "通话时长,单位(分钟)",
                    "type": "integer"
                }
            }
        },
        "api_we.getPhoneCardStatusRes": {
            "type": "object",
            "properties": {
                "changeable": {
                    "description": "本月可修改亲情号次数",
                    "type": "integer"
                },
                "expiryAt": {
                    "description": "到期时间",
                    "type": "string"
                },
                "family": {
                    "description": "亲情号列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/api_we.familyNumStruct"
                    }
                },
                "monthMin": {
                    "description": "月套餐使用分钟数",
                    "type": "integer"
                },
                "monthPack": {
                    "description": "月套餐分钟数",
                    "type": "integer"
                },
                "simID": {
                    "description": "卡号",
                    "type": "string"
                },
                "status": {
                    "description": "状态 0未绑定卡   1 正常使用   2 服务已到期 3 已挂失",
                    "type": "integer"
                }
            }
        },
        "api_we.slaveWeUserRes": {
            "type": "object",
            "properties": {
                "avatarURL": {
                    "description": "头像URL",
                    "type": "string"
                },
                "createAt": {
                    "description": "绑定时间",
                    "type": "string"
                },
                "nickname": {
                    "description": "微信昵称",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "weUserID": {
                    "description": "微信UnionID",
                    "type": "integer"
                }
            }
        },
        "api_we.weLoginReq": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "必填,登录要用的微信code",
                    "type": "string",
                    "example": "codeTest1"
                },
                "token": {
                    "description": "选填,如果有旧的token,也带过来",
                    "type": "string"
                }
            }
        },
        "api_we.weLoginRes": {
            "type": "object",
            "properties": {
                "master": {
                    "description": "自己创建的学生列表(主家长)",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/api_we.WeMasterLoginResUserInfoStruct"
                    }
                },
                "slave": {
                    "description": "添加的学生列表(副家长)",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/api_we.WeSlaveLoginResUserInfoStruct"
                    }
                },
                "token": {
                    "type": "string"
                },
                "weInfo": {
                    "description": "是否已获取到微信用户信息",
                    "type": "boolean"
                },
                "wePhone": {
                    "description": "是否已获取到微信电话",
                    "type": "boolean"
                }
            }
        },
        "api_we.wechatCardUsersTrendType": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "显示在第二行",
                    "type": "string"
                },
                "service": {
                    "description": "服务项目 1公话2定位3饮水4卡消费5洗浴6洗衣机 决定UI图标及颜色等",
                    "type": "integer"
                },
                "time": {
                    "description": "显示在第三行",
                    "type": "string"
                },
                "title": {
                    "description": "显示在第一行",
                    "type": "string"
                }
            }
        },
        "dbdao.InsertTableUserCardUser": {
            "type": "object",
            "properties": {
                "areaID": {
                    "description": "必填,校区ID",
                    "type": "integer",
                    "example": 1
                },
                "class": {
                    "description": "选填,班级,number",
                    "type": "integer"
                },
                "grade": {
                    "description": "必填，\"1~9对应一年级~九年级，10~12对应高一~高三\"",
                    "type": "integer"
                },
                "name": {
                    "description": "必填,学生名字,maxLen=16",
                    "type": "string",
                    "example": "汤圆"
                },
                "sex": {
                    "description": "选填,1女2男",
                    "type": "integer"
                },
                "stuNum": {
                    "description": "选填,学号,字符串,maxLen=32",
                    "type": "string"
                }
            }
        },
        "dbdao.TableBaseArea": {
            "type": "object",
            "properties": {
                "county_id": {
                    "description": "必填，所属区县ID",
                    "type": "integer",
                    "example": 2725
                },
                "creator_id": {
                    "description": "测试用，以后不传这个字段",
                    "type": "integer",
                    "example": 1
                },
                "latitude": {
                    "description": "必填，纬度",
                    "type": "integer",
                    "example": 30000000
                },
                "longitude": {
                    "description": "必填，经度",
                    "type": "integer",
                    "example": 103000000
                },
                "name": {
                    "description": "必填，名字",
                    "type": "string",
                    "example": "多彩温江校区"
                },
                "status": {
                    "description": "必填，是否测试校区，0预留 1正示 2测试校区",
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "model.CacheBDistrictStruct": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer",
                    "example": 1
                },
                "initial": {
                    "type": "string",
                    "example": "S"
                },
                "name": {
                    "type": "string",
                    "example": "四川省"
                }
            }
        }
    },
    "securityDefinitions": {
        "ApiKeyAuth": {
            "type": "apiKey",
            "name": "token",
            "in": "header"
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "V0.0.0.1",
	Host:        "",
	BasePath:    "/",
	Schemes:     []string{},
	Title:       "多彩中小学一卡通系统",
	Description: "用于家长端微信小程序及web端管理后台",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
		"escape": func(v interface{}) string {
			// escape tabs
			str := strings.Replace(v.(string), "\t", "\\t", -1)
			// replace " with \", and if that results in \\", replace that with \\\"
			str = strings.Replace(str, "\"", "\\\"", -1)
			return strings.Replace(str, "\\\\\"", "\\\\\\\"", -1)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
