package main

import (
	"dc_golang_server_1/api/router"
	"dc_golang_server_1/data_db_cache/cache"
	"dc_golang_server_1/data_db_cache/dbdao"
	"dc_golang_server_1/devproduct/dcphone20"
	"dc_golang_server_1/logger"
	config2 "dc_golang_server_1/util/config"
	"fmt"
	"os"
	"os/signal"
	"runtime"
	"syscall"
	"time"
)

// @title 多彩中小学一卡通系统
// @version V0.0.0.1
// @Description 用于家长端微信小程序及web端管理后台
// @securityDefinitions.apikey ApiKeyAuth
// @in header
// @name token
// @BasePath /
func main() { //
	fmt.Println(time.Now(), "system init")
	runtime.GOMAXPROCS(runtime.NumCPU())

	config2.Init()
	logger.Init()

	go func() {
		osc := make(chan os.Signal, 1)
		signal.Notify(osc, syscall.SIGTERM, syscall.SIGINT, syscall.SIGKILL)
		s := <-osc
		dbdao.CloseDb()
		fmt.Println("程序退出:", s)
		os.Exit(1)
	}()

	dbdao.InitDb()
	// defer dbdao.CloseDb()

	cache.Init()

	dcphone20.NewDCPhone20()
	//dcdrinking60.NewDCDrinking60()

	router.InitRouter()
}
